<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class TipoManutencaoFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function inserirTipoManutencao($parametros) {

        $sql = "INSERT INTO FCM_TIPOMANUTENCAO (NRTIPOMANUTENCAO, NMTIPOMANUTENCAO, DTINCLUSAO)
                    VALUES (:NRTIPOMANUTENCAO, :NMTIPOMANUTENCAO, SYSDATE)";

        $std = $this->connection->prepare($sql);
        $std->execute($parametros);
    }

    public function getInformacoesTipoManutencao() {

        $sql = "SELECT NRTIPOMANUTENCAO, NMTIPOMANUTENCAO
                    FROM FCM_TIPOMANUTENCAO";

        $std = $this->connection->prepare($sql);
        $std->execute();
        return $std->fetchAll();
    }
}

?>